> For the complete documentation index, see [llms.txt](https://docs.kkiapay.me/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kkiapay.me/v1/en-1.0.0/plugin-et-sdk/frameworks/using-kkiapay-with-vue.js.md).

# Using KKiaPay with Vue.js

### Installation

Please run the following command :

```bash
npm install kkiapay@latest
```

### Import

You can now import the kkiapay dependency into your page :

```js
import {
  openKkiapayWidget,
  addKkiapayListener,
  removeKkiapayListener,
} from "kkiapay";
```

### Usage

Define a function that will display the KKiaPay Widget :&#x20;

```javascript
export default {
  methods: {
    open() {
      openKkiapayWidget({
        amount: 4000,
        api_key: "xxxxxxxxxxxxxxxxxxxxx",
        sandbox: true,
        phone: "97000000",
      });
    },
  },
};
```

You can now use this function within your view template to display the payment interface :

```javascript
<template>
  <div class="home">
    <button @click="open">click me</button>
  </div>
</template>vue
```

{% hint style="danger" %}
**Important !**&#x20;

To avoid fraud, perform the server-side verification of the transaction operation. Learn more about the [Admin SDKs (Server-Side)](/v1/en-1.0.0/plugin-et-sdk/admin-sdks-server-side.md).
{% endhint %}

You can subscribe to payment transaction events with the **addKkiapayListener** function. To be notified of the successful status of a payment transaction, you can proceed as follows :

```javascript
export default {
  // ... others options
  methods: {
    // ... others functions
    successHandler(response) {
      console.log(response);
    },
  },
  
  mounted() {
    addKkiapayListener('success',this.successHandler)
  },
};
```

Because it is added in the mounted hook, the addKkiapayListener function will be called each time your component is rendered. If the component is returned n times, the function will be enrolled n times.&#x20;

In order to avoid memory leaks, we will need to delete the callback when the component is destroyed :

```javascript
export default {
  // ... others options
  methods: {
    // ... others functions
    successHandler(response) {
      console.log(response);
    },
  },
  
  mounted() {
    addKkiapayListener('success',this.successHandler)
  },
  
  // ....
  beforeDestroy() {
      removeKkiapayListener('success',this.successHandler)
  },
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kkiapay.me/v1/en-1.0.0/plugin-et-sdk/frameworks/using-kkiapay-with-vue.js.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
